SDL_GetAudioStreamData(3)

NAME
SDL_GetAudioStreamData - Get converted/resampled data from the stream.

SYNOPSIS
#include <SDL3/SDL_audio.h>

int SDL_GetAudioStreamData(SDL_AudioStream *stream, void *buf, int len);

DESCRIPTION
The input/output data format/channels/samplerate is specified when creating the stream, and can be changed after creation by calling SDL_SetAudioStreamFormat.

Note that any conversion and resampling necessary is done during this call, and SDL_PutAudioStreamData simply queues unconverted data for later. This is different than SDL2, where that work was done while inputting new data to the stream and requesting the output just copied the converted data.

FUNCTION PARAMETERS

stream
    the stream the audio is being requested from.

buf a buffer to fill with audio data.

len the maximum number of bytes to fill.

RETURN VALUE
for more information.

THREAD SAFETY
It is safe to call this function from any thread, but if the stream has a callback set, the caller might need to manage extra locking.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_ClearAudioStream(3), SDL_GetAudioStreamAvailable(3), SDL_PutAudioStreamData(3)